Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - TermsofUse

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Terms of Use

Terms-of-use documents for API Products and Developer Portals.

Get terms of use by ID

Get a terms of use document by its id.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
active
required
boolean

Whether this terms-of-use document is currently active.

defaultForApiProducts
required
boolean

Default for new API Products.

defaultForDevPortals
required
boolean

Default for portal registration.

name
required
string

Display name of the terms-of-use document.

createdAt
string <date-time>

Timestamp when the document was created.

id
string <uuid>

UUID of the terms-of-use document.

Response samples

Content type
application/json
{
  • "name": "string",
  • "active": true,
  • "defaultForApiProducts": true,
  • "defaultForDevPortals": true,
  • "createdAt": "2019-08-24T14:15:22Z",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Update terms of use

Update an existing terms of use document.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
active
required
boolean

Whether this terms-of-use document is currently active.

defaultForApiProducts
required
boolean

Default for new API Products.

defaultForDevPortals
required
boolean

Default for portal registration.

name
required
string

Display name of the terms-of-use document.

createdAt
string <date-time>

Timestamp when the document was created.

id
string <uuid>

UUID of the terms-of-use document.

Responses

Response Schema: application/json
active
required
boolean

Whether this terms-of-use document is currently active.

defaultForApiProducts
required
boolean

Default for new API Products.

defaultForDevPortals
required
boolean

Default for portal registration.

name
required
string

Display name of the terms-of-use document.

createdAt
string <date-time>

Timestamp when the document was created.

id
string <uuid>

UUID of the terms-of-use document.

Request samples

Content type
application/json
{
  • "name": "string",
  • "active": true,
  • "defaultForApiProducts": true,
  • "defaultForDevPortals": true,
  • "createdAt": "2019-08-24T14:15:22Z",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "active": true,
  • "defaultForApiProducts": true,
  • "defaultForDevPortals": true,
  • "createdAt": "2019-08-24T14:15:22Z",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Delete terms of use

Delete a terms of use document. This is only possible if the terms of use document has not been accepted, yet, by any user!

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

List all terms of use

Get a paged and filtered list of terms of use documents.

Authorizations:
bearerAuth
query Parameters
text
string
name
string
active
boolean
defaultForApiProducts
boolean
defaultForDevPortals
boolean
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (TermsOfUseDTO)

List of TermsOfUseDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

Create new terms of use

Create a new terms of use document with an initial version.

Authorizations:
bearerAuth
Request Body schema: application/json
required
active
required
boolean

Whether this terms-of-use document is currently active.

defaultForApiProducts
required
boolean

Default for new API Products.

defaultForDevPortals
required
boolean

Default for portal registration.

name
required
string

Display name of the terms-of-use document.

createdAt
string <date-time>

Timestamp when the document was created.

id
string <uuid>

UUID of the terms-of-use document.

Responses

Response Schema: application/json
active
required
boolean

Whether this terms-of-use document is currently active.

defaultForApiProducts
required
boolean

Default for new API Products.

defaultForDevPortals
required
boolean

Default for portal registration.

name
required
string

Display name of the terms-of-use document.

createdAt
string <date-time>

Timestamp when the document was created.

id
string <uuid>

UUID of the terms-of-use document.

Request samples

Content type
application/json
{
  • "name": "string",
  • "active": true,
  • "defaultForApiProducts": true,
  • "defaultForDevPortals": true,
  • "createdAt": "2019-08-24T14:15:22Z",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "active": true,
  • "defaultForApiProducts": true,
  • "defaultForDevPortals": true,
  • "createdAt": "2019-08-24T14:15:22Z",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

List versions of a terms of use

Get a paged and filtered list of all versions of a terms of use document.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

query Parameters
text
string
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (TermsOfUseVersionDTO)

List of TermsOfUseVersionDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

Upload a new terms of use version

Upload a new version of a terms of use document.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: multipart/form-data
file
required
string <binary>

Responses

Response Schema: application/json
createdAt
required
string <date-time>

Timestamp when this version was uploaded.

fileHash
required
string

SHA hash of the file content for integrity verification.

fileName
required
string

Original file name of the uploaded document.

number
required
integer <int32>

Version number, incremented with each new upload.

Response samples

Content type
application/json
{
  • "number": 0,
  • "fileName": "string",
  • "fileHash": "string",
  • "createdAt": "2019-08-24T14:15:22Z"
}

Download a terms of use version file

Download the file for this terms of use document version.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

number
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Download latest terms of use version

Get latest file for a terms of use document.

path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}